<?php
namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/*--------------------------
*   Class Iconic Icon Manager
* -------------------------*/
class emerce_custom_icon_Manager{

    private static $instance = null;

    public static function instance() {
        if ( is_null( self::$instance ) ) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    function __construct(){
        $this->init();
    }

    public function init() {

        // Custom icon filter
        add_filter( 'elementor/icons_manager/additional_tabs', [ $this,'emerce_custom_icon'] );  

    }

	public function emerce_custom_icon( $custom_icons_args = array() ) {

	    // Append new icons
	    $custom_icons = array(
			'home-line',
			'home-2-line',
			'home-3-line',
			'home-4-line',
			'home-5-line',
			'home-6-line',
			'home-7-line',
			'home-8-line',
			'home-gear-line',
			'home-wifi-line',
			'home-fill',
			'home-2-fill',
			'home-3-fill',
			'home-4-fill',
			'home-5-fill',
			'home-6-fill',
			'home-7-fill',
			'home-8-fill',
			'home-gear-fill',
			'home-wifi-fill',
			'home-smile-line',
			'home-heart-line',
			'home-smile-fill',
			'home-heart-fill',
			'building-line',
			'building-2-line',
			'building-3-line',
			'building-4-line',
			'building-fill',
			'building-2-fill',
			'building-3-fill',
			'building-4-fill',
			'hotel-line',
			'hotel-fill',
			'community-line',
			'community-fill',
			'government-line',
			'government-fill',
			'store-line',
			'store-2-line',
			'store-3-line',
			'store-fill',
			'store-2-fill',
			'store-3-fill',
			'hospital-line',
			'hospital-fill',
			'bank-line',
			'bank-fill',
			'ancient-gate-line',
			'ancient-gate-fill',
			'ancient-pavilion-fill',
			'ancient-pavilion-fill',
			
			'mail-line',
			'mail-open-line',
			'mail-send-line',
			'mail-unread-line',
			'mail-add-line',
			'mail-check-line',
			'mail-close-line',
			'mail-download-line',
			'mail-settings-line',
			'mail-fill',
			'mail-open-fill',
			'mail-send-fill',
			'mail-unread-fill',
			'mail-add-fill',
			'mail-check-fill',
			'mail-close-fill',
			'mail-download-fill',
			'mail-settings-fill',
			'inbox-line',
			'inbox-archive-line',
			'inbox-unarchive-line',
			'inbox-fill',
			'inbox-archive-fill',
			'inbox-unarchive-fill',
			'cloud-line',
			'cloud-off-line',
			'cloud-fill',
			'cloud-off-fill',
			'attachment-line',
			'attachment-fill',
			'profile-line',
			'profile-fill',
			'archive-line',
			'archive-fill',
			'archive-drawer-line',
			'archive-drawer-fill',
			'at-line',
			'at-fill',
			'award-line',
			'award-fill',
			'medal-line',
			'medal-fill',
			'medal-2-line',
			'medal-2-fill',
			'bar-chart-line',
			'bar-chart-horizontal-line',
			'bar-chart-2-line',
			'bar-chart-box-line',
			'bar-chart-grouped-line',
			'bubble-chart-line',
			'pie-chart-line',
			'pie-chart-2-line',
			'donut-chart-line',
			'line-chart-line',
			'bar-chart-fill',
			'bar-chart-horizontal-fill',
			'bar-chart-2-fill',
			'bar-chart-box-fill',
			'bar-chart-grouped-fill',
			'bubble-chart-fill',
			'pie-chart-fill',
			'pie-chart-2-fill',
			'donut-chart-fill',
			'line-chart-fill',
			'bookmark-line',
			'bookmark-fill',
			'briefcase-line',
			'briefcase-2-line',
			'briefcase-3-line',
			'briefcase-4-line',
			'briefcase-5-line',
			'briefcase-fill',
			'briefcase-2-fill',
			'briefcase-3-fill',
			'briefcase-4-fill',
			'briefcase-5-fill',
			'calculator-line',
			'calculator-fill',
			'calendar-line',
			'calendar-2-line',
			'calendar-event-line',
			'calendar-todo-line',
			'calendar-fill',
			'calendar-2-fill',
			'calendar-event-fill',
			'calendar-todo-fill',
			'customer-service-line',
			'customer-service-2-line',
			'customer-service-fill',
			'customer-service-2-fill',
			'flag-line',
			'flag-2-line',
			'flag-fill',
			'flag-2-fill',
			'global-line',
			'global-fill',
			'honour-line',
			'honour-fill',
			'links-line',
			'links-fill',
			'printer-line',
			'printer-fill',
			'reply-line',
			'reply-all-line',
			'reply-fill',
			'reply-all-fill',
			'send-plane-line',
			'send-plane-fill',
			'send-plane-2-line',
			'send-plane-2-fill',
			'window-line',
			'window-fill',
			'stack-line',
			'stack-fill',
			'registered-line',
			'registered-fill',
			'trademark-line',
			'trademark-fill',
			'advertisement-line',
			'advertisement-fill',
			'copyright-line',
			'copyright-fill',
			'service-line',
			'service-fill',
			'creative-commons-line',
			'creative-commons-fill',
			'creative-commons-by-line',
			'creative-commons-by-fill',
			
			'chat-1-line',
			'chat-2-line',
			'chat-3-line',
			'chat-4-line',
			'chat-1-fill',
			'chat-2-fill',
			'chat-3-fill',
			'chat-4-fill',
			'message-line',
			'message-2-line',
			'message-3-line',
			'message-fill',
			'message-2-fill',
			'message-3-fill',
			'chat-smile-line',
			'chat-smile-fill',
			'discuss-line',
			'discuss-fill',
			
			
			'pencil-line',
			'edit-line',
			'edit-2-line',
			'ball-pen-line',
			'quill-pen-line',
			'pen-nib-line',
			'mark-pen-line',
			'markup-line',
			'edit-box-line',
			'edit-circle-line',
			'sip-line',
			'brush-line',
			'brush-2-line',
			'ruler-line',
			'ruler-2-line',
			'crop-line',
			'eraser-line',
			'paint-line',
			'palette-line',
			'grid-line',
			'layout-grid-line',
			'layout-masonry-line',
			'pencil-fill',
			'edit-fill',
			'edit-2-fill',
			'ball-pen-fill',
			'quill-pen-fill',
			'pen-nib-fill',
			'mark-pen-fill',
			'markup-fill',
			'edit-box-fill',
			'edit-circle-fill',
			'sip-fill',
			'brush-fill',
			'brush-2-fill',
			'ruler-fill',
			'ruler-2-fill',
			'crop-fill',
			'eraser-fill',
			'paint-fill',
			'palette-fill',
			'grid-fill',
			'layout-grid-fill',
			'layout-masonry-fill',
			
			
			'bug-line',
			'bug-2-line',
			'code-line',
			'code-s-slash-line',
			'code-box-line',
			'terminal-box-line',
			'terminal-line',
			'brackets-line',
			'braces-line',
			'command-line',
			'html5-line',
			'css3-line',
			'bug-fill',
			'bug-2-fill',
			'code-fill',
			'code-s-slash-fill',
			'code-box-fill',
			'terminal-box-fill',
			'terminal-fill',
			'brackets-fill',
			'braces-fill',
			'command-fill',
			'html5-fill',
			'css3-fill',
			
			
			'tv-line',
			'tv-2-line',
			'computer-line',
			'mac-line',
			'macbook-line',
			'smartphone-line',
			'tablet-line',
			'device-line',
			'phone-line',
			'server-line',
			'keyboard-box-line',
			'mouse-line',
			'router-line',
			'qr-code-line',
			'barcode-line',
			'fingerprint-line',
			'signal-wifi-line',
			'tv-fill',
			'tv-2-fill',
			'computer-fill',
			'mac-fill',
			'macbook-fill',
			'smartphone-fill',
			'tablet-fill',
			'device-fill',
			'phone-fill',
			'server-fill',
			'keyboard-box-fill',
			'mouse-fill',
			'router-fill',
			'qr-code-fill',
			'barcode-fill',
			'fingerprint-fill',
			'signal-wifi-fill',
			
			
			'file-line',
			'file-2-line',
			'file-4-line',
			'sticky-note-line',
			'file-edit-line',
			'file-text-line',
			'file-list-line',
			'file-list-2-line',
			'file-list-3-line',
			'bill-line',
			'file-copy-line',
			'file-copy-2-line',
			'survey-line',
			'article-line',
			'newspaper-line',
			'file-zip-line',
			'book-line',
			'folder-line',
			'folder-2-line',
			'folder-3-line',
			'folder-4-line',
			'folder-5-line',
			'folders-line',
			'file-fill',
			'file-2-fill',
			'file-4-fill',
			'sticky-note-fill',
			'file-edit-fill',
			'file-text-fill',
			'file-list-fill',
			'file-list-2-fill',
			'file-list-3-fill',
			'bill-fill',
			'file-copy-fill',
			'file-copy-2-fill',
			'survey-fill',
			'article-fill',
			'newspaper-fill',
			'file-zip-fill',
			'book-fill',
			'folder-fill',
			'folder-2-fill',
			'folder-3-fill',
			'folder-4-fill',
			'folder-5-fill',
			'folders-fill',
		
			
			
			'align-left',
			'align-center',
			'align-right',
			'align-justify',
			'list-check',
			'list-check-2',
			'list-ordered',
			'list-unordered',
			'indent-increase',
			'indent-decrease',
			'link',
			'single-quotes-l',
			'single-quotes-r',
			
			
			'wallet-line',
			'wallet-2-line',
			'wallet-3-line',
			'bank-card-line',
			'bank-card-2-line',
			'secure-payment-line',
			'refund-line',
			'refund-2-line',
			'price-tag-line',
			'price-tag-2-line',
			'price-tag-3-line',
			'ticket-line',
			'ticket-2-line',
			'coupon-line',
			'coupon-2-line',
			'coupon-3-line',
			'shopping-bag-line',
			'shopping-bag-2-line',
			'shopping-bag-3-line',
			'shopping-basket-line',
			'shopping-basket-2-line',
			'shopping-cart-line',
			'shopping-cart-2-line',
			'exchange-line',
			'exchange-box-line',
			'percent-line',
			'auction-line',
			'gift-line',
			'gift-2-line',
			'stock-line',
			'money-dollar-box-line',
			'exchange-dollar-line',
			'exchange-dollar-fill',
			'money-dollar-circle-line',
			'money-dollar-circle-fill',
			'wallet-fill',
			'wallet-2-fill',
			'wallet-3-fill',
			'bank-card-fill',
			'bank-card-2-fill',
			'secure-payment-fill',
			'refund-fill',
			'refund-2-fill',
			'price-tag-fill',
			'price-tag-2-fill',
			'price-tag-3-fill',
			'ticket-fill',
			'ticket-2-fill',
			'coupon-fill',
			'coupon-2-fill',
			'coupon-3-fill',
			'shopping-bag-fill',
			'shopping-bag-2-fill',
			'shopping-bag-3-fill',
			'shopping-basket-fill',
			'shopping-basket-2-fill',
			'shopping-cart-fill',
			'shopping-cart-2-fill',
			'exchange-fill',
			'exchange-box-fill',
			'percent-fill',
			'auction-fill',
			'gift-fill',
			'gift-2-fill',
			'stock-fill',
			'money-dollar-box-fill',
			
			
			'heart-line',
			'heart-2-line',
			'heart-3-line',
			'pulse-line',
			'capsule-line',
			'empathize-line',
			'nurse-line',
			'thermometer-line',
			'surgical-mask-line',
			'virus-line',
			'heart-fill',
			'heart-2-fill',
			'heart-3-fill',
			'pulse-fill',
			'capsule-fill',
			'empathize-fill',
			'nurse-fill',
			'thermometer-fill',
			'surgical-mask-fill',
			'virus-fill',
			
			
			
			'amazon-line',
			'android-line',
			'alipay-line',
			'app-store-line',
			'apple-line',
			'baidu-line',
			'behance-line',
			'centos-line',
			'chrome-line',
			'codepen-line',
			'discord-line',
			'disqus-line',
			'dribbble-line',
			'drive-line',
			'dropbox-line',
			'edge-line',
			'evernote-line',
			'facebook-line',
			'facebook-circle-line',
			'facebook-box-line',
			'firefox-line',
			'github-line',
			'gitlab-line',
			'google-line',
			'google-play-line',
			'instagram-line',
			'line-line',
			'linkedin-line',
			'linkedin-box-line',
			'mastercard-line',
			'medium-line',
			'messenger-line',
			'microsoft-line',
			'netflix-line',
			'npmjs-line',
			'open-source-line',
			'patreon-line',
			'paypal-line',
			'pinterest-line',
			'product-hunt-line',
			'skype-line',
			'slack-line',
			'soundcloud-line',
			'spotify-line',
			'twitter-line',
			'vimeo-line',
			'visa-line',
			'whatsapp-line',
			'youtube-line',
			'windows-line',
			'unsplash-line',
			'amazon-fill',
			'android-fill',
			'alipay-fill',
			'app-store-fill',
			'apple-fill',
			'baidu-fill',
			'behance-fill',
			'centos-fill',
			'chrome-fill',
			'codepen-fill',
			'discord-fill',
			'disqus-fill',
			'dribbble-fill',
			'drive-fill',
			'dropbox-fill',
			'edge-fill',
			'evernote-fill',
			'facebook-fill',
			'facebook-circle-fill',
			'facebook-box-fill',
			'firefox-fill',
			'github-fill',
			'gitlab-fill',
			'google-fill',
			'google-play-fill',
			'instagram-fill',
			'fill-fill',
			'linkedin-fill',
			'linkedin-box-fill',
			'mastercard-fill',
			'medium-fill',
			'messenger-fill',
			'microsoft-fill',
			'netflix-fill',
			'npmjs-fill',
			'open-source-fill',
			'patreon-fill',
			'paypal-fill',
			'pinterest-fill',
			'product-hunt-fill',
			'skype-fill',
			'slack-fill',
			'soundcloud-fill',
			'spotify-fill',
			'twitter-fill',
			'vimeo-fill',
			'visa-fill',
			'whatsapp-fill',
			'youtube-fill',
			'windows-fill',
			'unsplash-fill',
			
			
			'map-pin-line',
			'map-pin-2-line',
			'map-pin-3-line',
			'map-pin-4-line',
			'map-pin-5-line',
			'pushpin-line',
			'pushpin-2-line',
			'map-pin-user-line',
			'compass-line',
			'compass-2-line',
			'compass-3-line',
			'anchor-line',
			'space-ship-line',
			'rocket-line',
			'rocket-2-line',
			'map-line',
			'map-2-line',
			'earth-line',
			'car-line',
			'bus-line',
			'truck-line',
			'train-line',
			'flight-takeoff-line',
			'flight-land-line',
			'plane-line',
			'sailboat-line',
			'ship-line',
			'ship-2-line',
			'bike-line',
			'e-bike-2-line',
			'takeaway-line',
			'riding-line',
			'walk-line',
			'traffic-light-line',
			'ri-restaurant-line',
			'ri-restaurant-2-line',
			'cup-line',
			'navigation-line',
			'lifebuoy-line',
			'suitcase-line',
			'suitcase-2-line',
			'suitcase-3-line',
			'map-pin-fill',
			'map-pin-2-fill',
			'map-pin-3-fill',
			'map-pin-4-fill',
			'map-pin-5-fill',
			'pushpin-fill',
			'pushpin-2-fill',
			'map-pin-user-fill',
			'compass-fill',
			'compass-2-fill',
			'compass-3-fill',
			'anchor-fill',
			'space-ship-fill',
			'rocket-fill',
			'rocket-2-fill',
			'map-fill',
			'map-2-fill',
			'earth-fill',
			'car-fill',
			'bus-fill',
			'truck-fill',
			'train-fill',
			'flight-takeoff-fill',
			'flight-land-fill',
			'plane-fill',
			'sailboat-fill',
			'ship-fill',
			'ship-2-fill',
			'bike-fill',
			'e-bike-2-fill',
			'takeaway-fill',
			'riding-fill',
			'walk-fill',
			'traffic-light-fill',
			'ri-restaurant-fill',
			'ri-restaurant-2-fill',
			'cup-fill',
			'navigation-fill',
			'lifebuoy-fill',
			'suitcase-fill',
			'suitcase-2-fill',
			'suitcase-3-fill',
			'luggage-cart-line',
			'luggage-cart-fill',
			
			
			
			'image-line',
			'image-2-line',
			'landscape-line',
			'video-line',
			'camera-line',
			'music-line',
			'headphone-line',
			'music-line',
			'music-2-line',
			'mic-line',
			'mic-2-line',
			'notification-line',
			'notification-2-line',
			'notification-3-line',
			'play-line',
			'stop-line',
			'repeat-line',
			'repeat-2-line',
			'equalizer-line',
			'sound-module-line',
			'rhythm-line',
			'voiceprint-line',
			'image-fill',
			'image-2-fill',
			'landscape-fill',
			'video-fill',
			'camera-fill',
			'music-fill',
			'headphone-fill',
			'music-fill',
			'music-2-fill',
			'mic-fill',
			'mic-2-fill',
			'notification-fill',
			'notification-2-fill',
			'notification-3-fill',
			'play-fill',
			'stop-fill',
			'repeat-fill',
			'repeat-2-fill',
			'equalizer-fill',
			'sound-module-fill',
			'rhythm-fill',
			'voiceprint-fill',
			
			
			
			'apps-line',
			'apps-2-line',
			'function-line',
			'dashboard-line',
			'menu-line',
			'menu-2-line',
			'menu-3-line',
			'menu-4-line',
			'menu-5-line',
			'menu-fold-line',
			'menu-unfold-line',
			'more-line',
			'more-2-line',
			'star-line',
			'star-s-line',
			'star-half-line',
			'star-half-s-line',
			'settings-line',
			'settings-2-line',
			'settings-3-line',
			'settings-4-line',
			'settings-5-line',
			'settings-6-line',
			'list-settings-line',
			'information-line',
			'error-warning-line',
			'question-line',
			'alert-line',
			'checkbox-blank-line',
			'checkbox-line',
			'radio-button-line',
			'check-line',
			'arrow-left-up-line',
			'arrow-up-line',
			'arrow-right-up-line',
			'arrow-right-line',
			'arrow-right-down-line',
			'arrow-down-line',
			'arrow-left-down-line',
			'arrow-left-line',
			'arrow-up-s-line',
			'arrow-down-s-line',
			'arrow-right-s-line',
			'arrow-left-s-line',
			'download-line',
			'download-2-line',
			'upload-line',
			'upload-2-line',
			'download-cloud-line',
			'download-cloud-2-line',
			'upload-cloud-line',
			'upload-cloud-2-line',
			'login-box-line',
			'logout-box-line',
			'login-circle-line',
			'logout-circle-line',
			'share-line',
			'share-box-line',
			'filter-2-line',
			'search-line',
			'search-2-line',
			'search-eye-line',
			'apps-fill',
			'apps-2-fill',
			'function-fill',
			'dashboard-fill',
			'menu-fill',
			'menu-2-fill',
			'menu-3-fill',
			'menu-4-fill',
			'menu-5-fill',
			'menu-fold-fill',
			'menu-unfold-fill',
			'more-fill',
			'more-2-fill',
			'star-fill',
			'star-s-fill',
			'star-half-fill',
			'star-half-s-fill',
			'settings-fill',
			'settings-2-fill',
			'settings-3-fill',
			'settings-4-fill',
			'settings-5-fill',
			'settings-6-fill',
			'list-settings-fill',
			'information-fill',
			'error-warning-fill',
			'question-fill',
			'alert-fill',
			'checkbox-blank-fill',
			'checkbox-fill',
			'radio-button-fill',
			'check-fill',
			'arrow-left-up-fill',
			'arrow-up-fill',
			'arrow-right-up-fill',
			'arrow-right-fill',
			'arrow-right-down-fill',
			'arrow-down-fill',
			'arrow-left-down-fill',
			'arrow-left-fill',
			'arrow-up-s-fill',
			'arrow-down-s-fill',
			'arrow-right-s-fill',
			'arrow-left-s-fill',
			'download-fill',
			'download-2-fill',
			'upload-fill',
			'upload-2-fill',
			'download-cloud-fill',
			'download-cloud-2-fill',
			'upload-cloud-fill',
			'upload-cloud-2-fill',
			'login-box-fill',
			'logout-box-fill',
			'login-circle-fill',
			'logout-circle-fill',
			'share-fill',
			'share-box-fill',
			'filter-2-fill',
			'search-fill',
			'search-2-fill',
			'search-eye-fill',
			
			
			
			'user-line',
			'user-2-line',
			'user-3-line',
			'user-4-line',
			'user-5-line',
			'user-6-line',
			'user-smile-line',
			'account-box-line',
			'account-circle-line',
			'account-pin-box-line',
			'account-pin-circle-line',
			'contacts-line',
			'group-line',
			'group-2-line',
			'team-line',
			'emotion-line',
			'open-arm-line',
			'star-smile-line',
			'user-fill',
			'user-2-fill',
			'user-3-fill',
			'user-4-fill',
			'user-5-fill',
			'user-6-fill',
			'user-smile-fill',
			'account-box-fill',
			'account-circle-fill',
			'account-pin-box-fill',
			'account-pin-circle-fill',
			'contacts-fill',
			'group-fill',
			'group-2-fill',
			'team-fill',
			'emotion-fill',
			'open-arm-fill',
			'star-smile-fill',
			
			
			
			
				'sun-line',
			'moon-line',
			'flashlight-line',
			'cloudy-line',
			'cloudy-2-line',
			'mist-line',
			'foggy-line',
			'cloud-windy-line',
			'windy-line',
			'rainy-line',
			'drizzle-line',
			'haze-line',
			'blaze-line',
			'fire-line',
			'moon-clear-line',
			'flood-line',
			'rainbow-line',
			'sun-fill',
            'moon-fill',
            'flashlight-fill',
            'cloudy-fill',
            'cloudy-2-fill',
            'mist-fill',
            'foggy-fill',
            'cloud-windy-fill',
            'windy-fill',
            'rainy-fill',
            'drizzle-fill',
            'haze-fill',
            'blaze-fill',
            'fire-fill',
            'moon-clear-fill',
            'flood-fill',
            'rainbow-fill',
		
			
			
				'handbag-line',
			'cake-line',
			'cake-2-line',
			'knife-line',
			'lightbulb-line',
			'key-line',
			'shirt-line',
			't-shirt-line',
			't-shirt-2-line',
			'umbrella-line',
			'leaf-line',
			'recycle-line',
			'fridge-line',
			'sword-line',
			'scales-line',
			'plant-line',
			'handbag-fill',
            'cake-fill',
            'cake-2-fill',
            'knife-fill',
            'lightbulb-fill',
            'key-fill',
            'shirt-fill',
            't-shirt-fill',
            't-shirt-2-fill',
            'umbrella-fill',
            'leaf-fill',
            'recycle-fill',
            'fridge-fill',
            'sword-fill',
            'scales-fill',
            'plant-fill',
			
	    );
	    
	    $custom_icons_args['emerce_custom_icon_box'] = array(
	        'name'          => 'emerce_custom_icon_box',
	        'label'         => esc_html__( 'Emerce Icons', 'emerce-core' ),
	        'labelIcon'     => 'emerceo-semi-solid cs-orange',
	        'prefix'        => 'ri-',
	        'displayPrefix' => '',
	        'url'           => EMERCE_PL_ASSETS . 'css/icon/remixicon.css',
	        'icons'         => $custom_icons,
	        'ver'           => 1,
	    );

	    return $custom_icons_args;
	}



}
emerce_custom_icon_Manager::instance();